# class Resolv::DNS::Resource::LOC

Location resource

### Attributes

altitude [R]

The altitude of the `LOC` above a reference sphere whose surface sits 100km below the WGS84 spheroid in centimeters as an unsigned 32bit integer

hprecision [R]

The horizontal precision using ssize type values in meters using scientific notation as 2 integers of XeY for precision use value/2 e.g. 2m = +/-1m

latitude [R]

The latitude for this `LOC` where 2**31 is the equator in thousandths of an arc second as an unsigned 32bit integer

longitude [R]

The longitude for this `LOC` where 2**31 is the prime meridian in thousandths of an arc second as an unsigned 32bit integer

ssize [R]

The spherical size of this `LOC` in meters using scientific notation as 2 integers of XeY

version [R]

Returns the version value for this `LOC` record which should always be 00

vprecision [R]

The vertical precision using ssize type values in meters using scientific notation as 2 integers of XeY for precision use value/2 e.g. 2m = +/-1m

### Public Class Methods

new (version, ssize, hprecision, vprecision, latitude, longitude, altitude)
Source

    # File lib/resolv.rb, line 2464
    def initialize(version, ssize, hprecision, vprecision, latitude, longitude, altitude)
      @version    = version
      @ssize      = Resolv::LOC::Size.create(ssize)
      @hprecision = Resolv::LOC::Size.create(hprecision)
      @vprecision = Resolv::LOC::Size.create(vprecision)
      @latitude   = Resolv::LOC::Coord.create(latitude)
      @longitude  = Resolv::LOC::Coord.create(longitude)
      @altitude   = Resolv::LOC::Alt.create(altitude)
    end